Logo Questions Linux Laravel Mysql Ubuntu Git Menu
 

Stop on first error [duplicate]

Tags:

bash

Possible Duplicate:
Automatic exit from bash shell script on error

How can I have bash stop on the first command failure, without putting stuff like this all through my code?

some_prog || exit 1 some_other_prog || exit 1 
like image 701
Matt Joiner Avatar asked Aug 13 '10 06:08

Matt Joiner


1 Answers

Maybe you want set -e:

www.davidpashley.com/articles/writing-robust-shell-scripts.html#id2382181:

This tells bash that it should exit the script if any statement returns a non-true return value. The benefit of using -e is that it prevents errors snowballing into serious issues when they could have been caught earlier. Again, for readability you may want to use set -o errexit.

like image 177
Alok Singhal Avatar answered Sep 28 '22 00:09

Alok Singhal